Subject: RE: bug#7617: 24.0.50; `expand-file-name': removal of slashes

From: "Drew Adams" <[email-masked]>
Date: Sun, 12 Dec 2010 12:25:30 -0800

> > In interactive use, `...//abc...' is treated as just `/abc...' by
> > Emacs.
> 
> This has nothing to do with expand-file-name, this is the function of
> substitute-in-file-name.

I know that.  I never said that `expand-file-name' removed the prefix or that it
should remove the prefix.  In fact I said clearly that it should not.  I do not
want to remove _any_ of the prefix, including its slash.

I am not interested in obtaining the behavior of `substitute-file-name'.  I am
interested in obtaining the documented behavior of `expand-file-name', which
does not include collapsing consecutive slashes.

Can you tell me how to get that behavior?